---
title: The Agent Memory API Change Log
description: The change log for the Agent Memory API.
pubDate: 2026-10-19T14:21:08.937Z
meta:
  component:
    title: Couchbase Agent Memory
    version: "1.1"
  topic_type: reference
antora:
  editUrl: https://github.com/couchbaselabs/docs-agentmemory/edit/release/1.1/modules/api-guide/pages/self-managed/api-log.adoc
  xref: xref:agent-mem:api-guide:self-managed/api-log.adoc[]
---

[Consult the llms.txt file for a full list of contents](/llms.txt)
[View original HTML](/agent-mem/current/api-guide/self-managed/api-log.html)

# The Agent Memory API Change Log

This page is for self-managed Agent Memory.

This page lists the changes to the Agent Memory API in each version. To check the version of your Agent Memory server, call the `GET /health` endpoint.

## [](#release-1-1-0)Release 1.1.0 (October 2026)

Agent Memory API 1.1.0 was released in October 2026.

| Operation                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         | Details                                                                                                                                                                                                                                                                                                                                                      |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [Get User](../../agent-memory-api-reference/rest-api.md#tag/Users/operation/get%5Fuser%5Fusers<em>user%5Fid</em>get)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              | Added the Get User operation to the Users API. This enables you to get a user by user ID.                                                                                                                                                                                                                                                                    |
| Search Users                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | Removed the Search Users operation from the Users API. To get a user by user ID, use [Get User](../../agent-memory-api-reference/rest-api.md#tag/Users/operation/get%5Fuser%5Fusers<em>user%5Fid</em>get). To find users by name or metadata, use [List Users](../../agent-memory-api-reference/rest-api.md#tag/Users/operation/list%5Fusers%5Fusers%5Fget). |
| [List Users](../../agent-memory-api-reference/rest-api.md#tag/Users/operation/list%5Fusers%5Fusers%5Fget)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         | This operation now supports the name and metadata query parameters, allowing you to filter users by name or metadata. It also supports the limit and offset query parameters, allowing you to return users 1 page at a time.                                                                                                                                 |
| [Create Prompt](../../agent-memory-api-reference/rest-api.md#tag/Prompts/operation/create%5Fprompt%5Fprompts%5Fpost) [List Prompts](../../agent-memory-api-reference/rest-api.md#tag/Prompts/operation/list%5Fprompts%5Fprompts%5Fget) [Get Prompt](../../agent-memory-api-reference/rest-api.md#tag/Prompts/operation/get%5Fprompt%5Fprompts<em>prompt%5Fid</em>get) [Update Prompt](../../agent-memory-api-reference/rest-api.md#tag/Prompts/operation/update%5Fprompt%5Fprompts<em>prompt%5Fid</em>put) [Purge Prompt](../../agent-memory-api-reference/rest-api.md#tag/Prompts/operation/purge%5Fprompt%5Fprompts<em>prompt%5Fid</em>delete) [List Prompt Versions](../../agent-memory-api-reference/rest-api.md#tag/Prompts/operation/list%5Fprompt%5Fversions%5Fprompts<em>prompt%5Fid</em>versions%5Fget) [Archive Prompt](../../agent-memory-api-reference/rest-api.md#tag/Prompts/operation/archive%5Fprompt%5Fprompts<em>prompt%5Fid</em>archive%5Fput) | Added the Prompts API to the Agent Memory API. This enables you to create and manage custom prompts for semantic extraction and summarization.                                                                                                                                                                                                               |
| [Add Memory Blocks](../../agent-memory-api-reference/rest-api.md#tag/Memory/operation/add%5Fmemory%5Fusers<em>user%5Fid</em>sessions<em>session%5Fid</em>memory%5Fpost)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           | This operation now processes memory blocks asynchronously by default. To process memory blocks synchronously, set the async\_processing field to false.                                                                                                                                                                                                      |
| [Role-based Authorization](../../agent-memory-api-reference/rest-api.md#section/Authorization)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    | The Agent Memory API now supports optional role-based authorization. This enables you to control which endpoints an access token can call.                                                                                                                                                                                                                   |

## [](#see-also)See Also

* For more information about the Agent Memory API, see [Agent Memory API for Self-Managed Deployments](api-intro.md).
* For a full Agent Memory API reference guide, see [Agent Memory API Reference](../../agent-memory-api-reference/rest-api.md).